Skip to main content
POST
Create Price for a Product

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

productId
string
required

ID of the product that needs to be used

Example:

"6578278e879ad2646715ba9c"

Body

application/json
name
string
required

The name of the price.

Example:

"Price Name"

type
enum<string>
required

The type of the price.

Available options:
one_time,
recurring
Example:

"one_time"

currency
string
required

The currency of the price.

Example:

"USD"

amount
number
required

The amount of the price. ( min: 0 )

Example:

99.99

locationId
string
required

The unique identifier of the location associated with the price.

Example:

"6578278e879ad2646715ba9c"

recurring
object
description
string

A brief description of the price.

membershipOffers
object[]

An array of membership offers associated with the price.

trialPeriod
number

The trial period duration in days (if applicable).

Example:

7

totalCycles
number

The total number of billing cycles for the price. ( min: 1 )

Example:

12

setupFee
number

The setup fee for the price.

Example:

10.99

variantOptionIds
string[]

An array of variant option IDs associated with the price.

Example:
compareAtPrice
number

The compare at price for the price.

Example:

19.99

userId
string

The unique identifier of the user who created the price.

Example:

"6578278e879ad2646715ba9c"

meta
object
trackInventory
boolean

Need to track inventory stock quantity

Example:

true

availableQuantity
number

Available inventory stock quantity

Example:

5

allowOutOfStockPurchases
boolean

Continue selling when out of stock

Example:

true

sku
string

The unique identifier of the SKU associated with the price

Example:

"sku_123"

shippingOptions
object
isDigitalProduct
boolean

Is the product a digital product

Example:

true

digitalDelivery
string[]

Digital delivery options

Response

Successful response

_id
string
required

The unique identifier for the price.

Example:

"655b33aa2209e60b6adb87a7"

name
string
required

The name of the price.

Example:

"Red / S"

type
enum<string>
required

The type of the price (e.g., one_time).

Available options:
one_time,
recurring
Example:

"one_time"

currency
string
required

The currency code for the price.

Example:

"INR"

amount
number
required

The amount of the price.

Example:

199999

membershipOffers
object[]

An array of membership offers associated with the price.

variantOptionIds
string[]

An array of variant option IDs associated with the price.

Example:
locationId
string

The unique identifier for the location.

Example:

"3SwdhCsvxI8Au3KsPJt6"

product
string

The unique identifier for the associated product.

Example:

"655b33a82209e60b6adb87a5"

userId
string

The unique identifier for the user.

Example:

"6YAtzfzpmHAdj0e8GkKp"

recurring
object
createdAt
string<date-time>

The creation timestamp of the price.

Example:

"2023-11-20T10:23:38.645Z"

updatedAt
string<date-time>

The last update timestamp of the price.

Example:

"2024-01-23T09:57:04.852Z"

compareAtPrice
number

The compare-at price for comparison purposes.

Example:

2000000

trackInventory
boolean

Indicates whether inventory tracking is enabled.

Example:

null

availableQuantity
number

Available inventory stock quantity

Example:

5

allowOutOfStockPurchases
boolean

Continue selling when out of stock

Example:

true

Last modified on March 8, 2026